This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 714405 - Cobbler: Adding system named "default" no longer suppresses the PXE menu
Cobbler: Adding system named "default" no longer suppresses the PXE menu
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: cobbler (Show other bugs)
14
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: James C.
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-18 22:11 EDT by Charles Butterfield
Modified: 2012-04-16 21:31 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-16 21:30:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Charles Butterfield 2011-06-18 22:11:41 EDT
Description of problem:

Adding system named "default" no longer suppresses the PXE menu

Version-Release number of selected component (if applicable): cobbler.noarch-2.0.11-2.fc14


How reproducible: Always


Steps to Reproduce:
1. Delete all systems
2. Add system named "default" with some profile
3. PXE boot (I'm using a KVM VM and thus gPXE)
  
Actual results:
Get a menu showing "local" plus all of the profiles, which then goes to the default "local", which doesn't do anything useful.


Expected results:
Directly install the profile associated with system "default"


Additional info:
Comment 1 Charles Butterfield 2011-06-18 22:14:24 EDT
Hmmm, I should mention that after the initial failure, I did the following "just to be sure":

cobbler sync
system cobblerd restart
cobbler sync
system cobblerd restart

Still no joy
Comment 2 James C. 2012-04-16 21:30:35 EDT
This would seem to be a weird side-effect rather than a feature that was broken. Adding a flag/setting to disable the generation of the default menu would probably be better. In the meantime, profiles have the option --enable-menu which prevents that profile from showing up in the default list. If you set that to 0 for all of your profiles, your default menu item will be empty except for the localboot option.

I'm going to go ahead and close this as a non-bug, if you'd like to request a feature to disable generation of the PXE default file, please do so on the github issue tracker: https://github.com/cobbler/cobbler/issues

Note You need to log in before you can comment on or make changes to this bug.